MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024095Open CASCADE[OCCT] OCCT:Codingpublic2013-08-01 10:132013-12-19 13:56
Reporteromy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024095: Eliminate compiler warning C4512 in MSVC++ with warning level 4
DescriptionWhen compiling OCCT 6.6.0 with warning level set to 4, MSVC 2008 compiler produces many warnings c4512: assignment operator couldn't be generated.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023947closedomy Eliminate trivial compiler warnings in MSVC++ with warning level 4 

-  Notes
(0025219)
omy (developer)
2013-08-01 16:24

Dear abv,
Please, review the changes made by the branch CR24095.
(0025242)
abv (manager)
2013-08-06 09:13

Reviewed... though it would be nice to have all the dummy copy constructors and assignment operators private (this is not the case now for some structs) and accompanied by appropriate comment (protection against compiler warning).
(0025244)
mkv (tester)
2013-08-06 12:18

Dear omy,
could you please rebase this fix to current master.
(0025248)
omy (developer)
2013-08-06 18:31

Dear mkv,
the branch has been rebased.
Please, test.
(0025259)
mkv (tester)
2013-08-07 11:08

Dear BugMaster,

Branch CR24095 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 85bc263fcd842654058d31468a2e30b1044c82a9

Number of compiler warnings:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/Warnings/ [^]
occt component :
Linux: 954 (947 on master)
Windows: 883 (891 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 363994252 / 363673640
Total CPU difference: 62219.93000000034 / 43423.94000000051

Testing on Windows:
Total MEMORY difference: 425760848 / 424306804
Total CPU difference: 39447.109375 / 54556.21875

There are not differences in images found by testdiff.
(0025260)
abv (manager)
2013-08-07 11:31

One of new warnings is:

../../../../inc/LDOM_MemManager.hxx: In member function ‘LDOM_MemManager::HashTable& LDOM_MemManager::HashTable::operator=(const LDOM_MemManager::HashTable&)’:
../../../../inc/LDOM_MemManager.hxx:112: warning: no return statement in function returning non-void

Empty assignment operators should have return type void
(0025262)
mkv (tester)
2013-08-07 12:45

Dear Bugmaster,
see following new warning compilation on Linux:

-------
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24095/job/mnt-CR24095-master_build_occt_linux/1/warnings14Result/package.-671474530/ [^]
IntImpParGen_Intersector.gxx:47

NCollection_IndexedDataMap.hxx:228
dereferencing type-punned pointer will break strict-aliasing rulesIn file included from ../../../../inc/BOPCol_MapOfInteger.hxx:33

NCollection_Map.hxx:179
dereferencing type-punned pointer will break strict-aliasing rulesIn file included from ../../../../inc/BOPCol_MapOfInteger.hxx:33

SelectMgr_CompareResults.hxx:37
no return statement in function returning non-void

VrmlData_InBuffer.hxx:41
no return statement in function returning non-void

VrmlData_ShapeConvert.hxx:115
no return statement in function returning non-void

-------
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24095/job/mnt-CR24095-master_build_occt_linux/1/warnings14Result/package.103948317/ [^]
Extrema_GenExtPS.cxx:79
no return statement in function returning non-void

-------
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24095/job/mnt-CR24095-master_build_occt_linux/1/warnings14Result/package.-827086367/ [^]
LDOM_CharReference.cxx:43
no return statement in function returning non-void
(0025263)
omy (developer)
2013-08-07 15:40

Dear abv,
I've made necessary corrections.
Please, review.
(0025267)
abv (manager)
2013-08-07 18:07

No remarks, please test
(0025273)
mkv (tester)
2013-08-08 09:28

Dear BugMaster,

Branch CR24095 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 831c5fbc793fb1003faff68e10f4b5b0c401a010

Number of compiler warnings:

occt component :
Linux: 947 (947 on master)
Windows: 883 (891 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 363962632 / 363651324
Total CPU difference: 43495.390000000654 / 43422.890000000516

Testing on Windows:
Total MEMORY difference: 424135848 / 424101868
Total CPU difference: 41627.421875 / 53402.609375

There are not differences in images found by testdiff.

- Related Changesets
occt: master 79591ef7
Timestamp: 2013-08-06 14:25:08
Author: omy
Details ] Diff ]
0024095: Eliminate compiler warning C4512 in MSVC++ with warning level 4

Removed most of warnings C4512 for non-copyable objects
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
mod - src/LDOM/LDOM_CharReference.cxx Diff ] File ]
mod - src/LDOM/LDOM_MemManager.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_CompareResults.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_InBuffer.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_ShapeConvert.hxx Diff ] File ]
occt: master d390b166
Timestamp: 2013-08-06 14:25:08
Author: omy
Committer: bugmaster
Details ] Diff ]
0024095: Eliminate compiler warning C4512 in MSVC++ with warning level 4

Removed most of warnings C4512 for non-copyable objects
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
mod - src/LDOM/LDOM_CharReference.cxx Diff ] File ]
mod - src/LDOM/LDOM_MemManager.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_CompareResults.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_InBuffer.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_ShapeConvert.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-01 10:13 omy New Issue
2013-08-01 10:13 omy Assigned To => omy
2013-08-01 10:13 omy Status new => assigned
2013-08-01 16:23 omy Relationship added child of 0023947
2013-08-01 16:24 omy Note Added: 0025219
2013-08-01 16:24 omy Assigned To omy => abv
2013-08-01 16:24 omy Status assigned => resolved
2013-08-06 09:13 abv Note Added: 0025242
2013-08-06 09:13 abv Status resolved => reviewed
2013-08-06 09:13 abv Assigned To abv => omy
2013-08-06 12:18 mkv Note Added: 0025244
2013-08-06 12:18 mkv Status reviewed => feedback
2013-08-06 18:31 omy Note Added: 0025248
2013-08-06 18:31 omy Assigned To omy => mkv
2013-08-06 18:31 omy Status feedback => resolved
2013-08-06 18:48 abv Status resolved => reviewed
2013-08-07 11:08 mkv Note Added: 0025259
2013-08-07 11:09 mkv Test case number => Not needed
2013-08-07 11:09 mkv Assigned To mkv => omy
2013-08-07 11:09 mkv Status reviewed => assigned
2013-08-07 11:31 abv Note Added: 0025260
2013-08-07 12:45 mkv Note Added: 0025262
2013-08-07 15:40 omy Note Added: 0025263
2013-08-07 15:40 omy Assigned To omy => abv
2013-08-07 15:40 omy Status assigned => resolved
2013-08-07 18:07 abv Note Added: 0025267
2013-08-07 18:07 abv Status resolved => reviewed
2013-08-07 18:14 mkv Assigned To abv => mkv
2013-08-08 09:28 mkv Note Added: 0025273
2013-08-08 09:28 mkv Assigned To mkv => bugmaster
2013-08-08 09:28 mkv Status reviewed => tested
2013-08-09 11:49 omy Changeset attached => occt master 79591ef7
2013-08-09 11:49 omy Assigned To bugmaster => omy
2013-08-09 11:49 omy Status tested => verified
2013-08-09 11:49 omy Resolution open => fixed
2013-08-17 12:50 bugmaster Changeset attached => occt master d390b166
2013-08-17 12:50 bugmaster Assigned To omy => bugmaster
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:56 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker